Subject: Re: [PATCH 6/9] gitweb: Change appereance of marker of refs pointing to given object

From: Jakub Narebski <[email-masked]>
Date: Mon, 14 Aug 2006 11:30:03 +0200

Jakub Narebski wrote:
> Change git_get_references to include type of ref in the %refs value, which
> means putting everything after 'refs/' as a ref name, not only last
> part of the name.  Instead of separating refs pointing to the same
> object by " / " separator, use anonymous array reference to store all
> refs pointing to given object.

Earlier version of the patch used ':' (instead of ' / ') to concatenate
multiple refs pointing to the same object, then split on ':'. Character
':' was used because it cannot be part of valid ref name (as of
git-check-ref-name).

Note that usually there is at most one ref pointing to given object;
multiple refs are quite rare (usually when starting new branch, or just
tagged a branch).

-- 
Jakub Narebski
Poland